import request from '@/utils/request'

// 查询居住社区信息列表
export function listCommunityInfo(query) {
    return request({
        url: '/system/communityInfo/list',
        method: 'get',
        params: query
    })
}

// 查询居住社区信息详细
export function getCommunityInfo(id) {
    return request({
        url: '/system/communityInfo/' + id,
        method: 'get'
    })
}
// 查询省信息
export function FirstLevels(query) {
    return request({
        url: '/system/communityInfo/getFirstLevelInfo',
        method: 'get',
        params: query
    })
}
// 查询所属下级区域信息集合
export function SecondaryLevelInfo(id) {
    return request({
        url: `/system/communityInfo/getSecondaryLevelInfo?`+`parentId=${id}`,
        method: 'get',
    })
}
//省市区
export function SubordinateRegions(Code) {
    return request({
        url: `/system/area/getSubordinateRegions?areaCode=${Code}`,
        method: 'get'
    })
}
// 新增居住社区信息
export function addCommunityInfo(data) {
    return request({
        url: '/system/communityInfo/add',
        method: 'post',
        data: data
    })
}

// 修改居住社区信息
export function updateCommunityInfo(data) {
    return request({
        url: '/system/communityInfo/edit',
        method: 'post',
        data: data
    })
}

// 删除居住社区信息
export function delCommunityInfo(id) {
    return request({
        url: '/system/communityInfo/' + id,
        method: 'delete'
    })
}
